Bug 826798 - zanata pull fail to pull
zanata pull fail to pull
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zanata-python-client (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: James Ni
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 21:18 EDT by Patrick Huang
Modified: 2012-07-17 13:30 EDT (History)
5 users (show)

See Also:
Fixed In Version: python client version: 1.3.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-17 22:42:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2012-05-30 21:18:30 EDT
Version-Release number of selected component (if applicable):
1.6.0-beta-2-SNAPSHOT (20120529-0019).

Steps to Reproduce: 
The test case "Python Client push plural" is performed.


Edit project "Tar" and fill in some translation under locale "pl". 
 1. Pull the translation 
    zanata pull --transdir /tmp/zanata

Actual results: 
 python client result 500 internal server error.
 maven client says successful but no file is created under specified directory.

Expected results:
 both client pull successfully without error.
Comment 1 Patrick Huang 2012-05-30 21:26:08 EDT
maven client works.
Comment 2 Patrick Huang 2012-05-30 23:58:55 EDT
stacktrace from server:

2012-05-31 13:58:02,234 ERROR [org.zanata.rest.ZanataResteasyBootstrap] (http-0.0.0.0-8080-1) Failed to process REST request
java.lang.RuntimeException: Unsupported Extensions within this context: comment?skeletons
	at org.zanata.rest.service.ResourceUtils.validateExtensions(ResourceUtils.java:1389)
	at org.zanata.rest.service.TranslatedDocResourceService.getTranslations(TranslatedDocResourceService.java:214)
Comment 3 James Ni 2012-05-31 00:15:07 EDT
Thanks Patrick,

I have fixed that issue in new release of 1.3.6, i am sorry that i should file a bug when i found and fix it in upstream. so please test the 1.3.6 and see if this issue is fixed. thanks.
Comment 4 Ding-Yi Chen 2012-06-06 21:25:03 EDT
Tested with 1.3.6-3-g70f

Actual results:
Traceback (most recent call last):
  File "/home/dchen/devel/zanata-python-client/zanata", line 25, in <module>
    zanata.run()
  File "/home/dchen/devel/zanata-python-client/zanataclient/zanata.py", line 945, in run
    program_name=os.path.split(sys.argv[0])[1],
  File "/home/dchen/devel/zanata-python-client/zanataclient/command.py", line 339, in handle_program
    command(command_options, args)
  File "/home/dchen/devel/zanata-python-client/zanataclient/zanata.py", line 820, in pull
    command.run(command_options, args, project_type)
  File "/home/dchen/devel/zanata-python-client/zanataclient/pullcmd.py", line 65, in run
    zanatacmd, version_info, username = self.create_zanatacmd(url, command_options)
ValueError: too many values to unpack
Comment 5 Ding-Yi Chen 2012-06-06 21:25:27 EDT
Tested with 1.3.6-3-g70f

Actual results:
Traceback (most recent call last):
  File "/home/dchen/devel/zanata-python-client/zanata", line 25, in <module>
    zanata.run()
  File "/home/dchen/devel/zanata-python-client/zanataclient/zanata.py", line 945, in run
    program_name=os.path.split(sys.argv[0])[1],
  File "/home/dchen/devel/zanata-python-client/zanataclient/command.py", line 339, in handle_program
    command(command_options, args)
  File "/home/dchen/devel/zanata-python-client/zanataclient/zanata.py", line 820, in pull
    command.run(command_options, args, project_type)
  File "/home/dchen/devel/zanata-python-client/zanataclient/pullcmd.py", line 65, in run
    zanatacmd, version_info, username = self.create_zanatacmd(url, command_options)
ValueError: too many values to unpack

REASSIGNED
Comment 6 James Ni 2012-06-06 22:31:14 EDT
Thanks Ding,

Fixed in commit 2ae42dd48c on git-hub, please review again

https://github.com/zanata/zanata-python-client/commit/2ae42dd48cf837988b53a051063fe8a49038a3f3
Comment 7 Ding-Yi Chen 2012-06-06 23:59:50 EDT
Verified with 1.3.6-4-g2ae4
Comment 8 Fedora Update System 2012-06-13 01:38:17 EDT
zanata-python-client-1.3.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.fc16
Comment 9 Fedora Update System 2012-06-13 01:38:57 EDT
zanata-python-client-1.3.7-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.el5
Comment 10 Fedora Update System 2012-06-13 01:39:31 EDT
zanata-python-client-1.3.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.fc17
Comment 11 Fedora Update System 2012-06-13 01:40:04 EDT
zanata-python-client-1.3.7-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.fc15
Comment 12 Fedora Update System 2012-06-13 01:40:40 EDT
zanata-python-client-1.3.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.el6
Comment 13 Fedora Update System 2012-06-14 20:18:48 EDT
Package zanata-python-client-1.3.7-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zanata-python-client-1.3.7-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9357/zanata-python-client-1.3.7-1.fc16
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2012-06-14 22:15:11 EDT
Package zanata-python-client-1.3.7-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing zanata-python-client-1.3.7-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6156/zanata-python-client-1.3.7-1.el6
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2012-07-17 13:30:18 EDT
zanata-python-client-1.3.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.